VTK: vtkPostgreSQLQuery Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtkPostgreSQLQuery Class Reference

vtkSQLQuery implementation for PostgreSQL databases More...

`#include <vtkPostgreSQLQuery.h>`

Inheritance diagram for vtkPostgreSQLQuery:
[legend]
Collaboration diagram for vtkPostgreSQLQuery:
[legend]

## Public Types
typedef vtkSQLQuery | Superclass
Public Types inherited from vtkSQLQuery
typedef vtkRowQuery | Superclass
Public Types inherited from vtkRowQuery
typedef vtkObject | Superclass

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPostgreSQLQuery * | NewInstance () const
bool | Execute () override
| Execute the query. More...
int | GetNumberOfFields () override
| The number of fields in the query result. More...
const char * | GetFieldName (int i) override
| Return the name of the specified query field. More...
int | GetFieldType (int i) override
| Return the type of the field, using the constants defined in vtkType.h. More...
bool | NextRow () override
| Advance row, return false if past end. More...
bool | HasError () override
| Return true if there is an error on the current query. More...
bool | BeginTransaction () override
| Begin, abort (roll back), or commit a transaction. More...
bool | RollbackTransaction () override
bool | CommitTransaction () override
vtkVariant | DataValue (vtkIdType c) override
| Return data in current row, field c. More...
const char * | GetLastErrorText () override
| Get the last error text from the query. More...
vtkStdString | EscapeString (vtkStdString s, bool addSurroundingQuotes=true) override
| Escape a string for inclusion into an SQL query. More...
int | GetNumberOfRows ()
| Unlike some databases, Postgres can tell you right away how many rows are in the results of your query. More...
Public Member Functions inherited from vtkSQLQuery
vtkSQLQuery * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | SetQuery (const char *query)
| The query string to be executed. More...
virtual const char * | GetQuery ()
bool | IsActive () override
| Return true if the query is active (i.e. More...
virtual vtkSQLDatabase * | GetDatabase ()
| Return the database associated with the query. More...
virtual bool | BindParameter (int index, unsigned char value)
| Bind a parameter to a placeholder in a query. More...
virtual bool | BindParameter (int index, unsigned short value)
virtual bool | BindParameter (int index, unsigned int value)
virtual bool | BindParameter (int index, unsigned long value)
virtual bool | BindParameter (int index, signed char value)
virtual bool | BindParameter (int index, short value)
virtual bool | BindParameter (int index, int value)
virtual bool | BindParameter (int index, long value)
virtual bool | BindParameter (int index, unsigned long long value)
virtual bool | BindParameter (int index, long long value)
virtual bool | BindParameter (int index, float value)
virtual bool | BindParameter (int index, double value)
virtual bool | BindParameter (int index, const char *stringValue)
| Bind a string value – string must be null-terminated. More...
virtual bool | BindParameter (int index, const char *stringValue, size_t length)
| Bind a string value by specifying an array and a size. More...
virtual bool | BindParameter (int index, const vtkStdString &string)
virtual bool | BindParameter (int index, vtkVariant var)
virtual bool | BindParameter (int index, const void *data, size_t length)
| Bind a blob value. More...
virtual bool | ClearParameterBindings ()
| Reset all parameter bindings to nullptr. More...
char * | EscapeString (const char *src, bool addSurroundingQuotes)
| Escape a string for inclusion into an SQL query. More...
Public Member Functions inherited from vtkRowQuery
vtkRowQuery * | NewInstance () const
int | GetFieldIndex (const char *name)
| Return the index of the specified query field. More...
bool | NextRow (vtkVariantArray *rowArray)
| Advance row, return false if past end. More...
virtual void | SetCaseSensitiveFieldNames (bool)
| Many databases do not preserve case in field names. More...
virtual bool | GetCaseSensitiveFieldNames ()
virtual void | CaseSensitiveFieldNamesOn ()
virtual void | CaseSensitiveFieldNamesOff ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkPostgreSQLQuery * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPostgreSQLQuery * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkSQLQuery
static vtkTypeBool | IsTypeOf (const char *type)
static vtkSQLQuery * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRowQuery
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRowQuery * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPostgreSQLQuery ()
| ~vtkPostgreSQLQuery () override
virtual void | SetLastErrorText (const char *)
bool | IsColumnBinary (int whichColumn)
const char * | GetColumnRawData (int whichColumn)
void | DeleteQueryResults ()
Protected Member Functions inherited from vtkSQLQuery
| vtkSQLQuery ()
| ~vtkSQLQuery () override
void | SetDatabase (vtkSQLDatabase *db)
| Set the database associated with the query. More...
Protected Member Functions inherited from vtkRowQuery
| vtkRowQuery ()
| ~vtkRowQuery () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
bool | TransactionInProgress
char * | LastErrorText
int | CurrentRow
vtkPostgreSQLQueryPrivate * | QueryInternals
Protected Attributes inherited from vtkSQLQuery
char * | Query
vtkSQLDatabase * | Database
bool | Active
Protected Attributes inherited from vtkRowQuery
bool | CaseSensitiveFieldNames
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkPostgreSQLDatabase

## Detailed Description

vtkSQLQuery implementation for PostgreSQL databases

This is an implementation of vtkSQLQuery for PostgreSQL databases. See the documentation for vtkSQLQuery for information about what the methods do.

Thanks:
  Thanks to David Thompson and Andy Wilson from Sandia National Laboratories for implementing this class.

See also
  vtkSQLDatabase vtkSQLQuery vtkPostgreSQLDatabase

Definition at line 50 of file vtkPostgreSQLQuery.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkSQLQuery vtkPostgreSQLQuery::Superclass

Definition at line 55 of file vtkPostgreSQLQuery.h.

## Constructor & Destructor Documentation

## ◆ vtkPostgreSQLQuery()

vtkPostgreSQLQuery::vtkPostgreSQLQuery | ( |  | ) |
| protected

## ◆ ~vtkPostgreSQLQuery()

vtkPostgreSQLQuery::~vtkPostgreSQLQuery | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkPostgreSQLQuery* vtkPostgreSQLQuery::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkPostgreSQLQuery::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ IsTypeOf()

static vtkTypeBool vtkPostgreSQLQuery::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPostgreSQLQuery::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkSQLQuery.

## ◆ SafeDownCast()

static vtkPostgreSQLQuery* vtkPostgreSQLQuery::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPostgreSQLQuery::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkSQLQuery.

## ◆ NewInstance()

vtkPostgreSQLQuery* vtkPostgreSQLQuery::NewInstance | ( |  | ) | const

## ◆ Execute()

bool vtkPostgreSQLQuery::Execute | ( |  | ) |
| overridevirtual

Execute the query.

This must be performed before any field name or data access functions are used.

Implements vtkSQLQuery.

## ◆ GetNumberOfFields()

int vtkPostgreSQLQuery::GetNumberOfFields | ( |  | ) |
| overridevirtual

The number of fields in the query result.

Implements vtkRowQuery.

## ◆ GetFieldName()

const char* vtkPostgreSQLQuery::GetFieldName | ( | int | i | ) |
| overridevirtual

Return the name of the specified query field.

Implements vtkRowQuery.

## ◆ GetFieldType()

int vtkPostgreSQLQuery::GetFieldType | ( | int | i | ) |
| overridevirtual

Return the type of the field, using the constants defined in vtkType.h.

Implements vtkRowQuery.

## ◆ NextRow()

bool vtkPostgreSQLQuery::NextRow | ( |  | ) |
| overridevirtual

Advance row, return false if past end.

Implements vtkRowQuery.

## ◆ HasError()

bool vtkPostgreSQLQuery::HasError | ( |  | ) |
| overridevirtual

Return true if there is an error on the current query.

Implements vtkRowQuery.

## ◆ BeginTransaction()

bool vtkPostgreSQLQuery::BeginTransaction | ( |  | ) |
| overridevirtual

Begin, abort (roll back), or commit a transaction.

Reimplemented from vtkSQLQuery.

## ◆ RollbackTransaction()

bool vtkPostgreSQLQuery::RollbackTransaction | ( |  | ) |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ CommitTransaction()

bool vtkPostgreSQLQuery::CommitTransaction | ( |  | ) |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ DataValue()

vtkVariant vtkPostgreSQLQuery::DataValue | ( | vtkIdType | c | ) |
| overridevirtual

Return data in current row, field c.

Implements vtkRowQuery.

## ◆ GetLastErrorText()

const char* vtkPostgreSQLQuery::GetLastErrorText | ( |  | ) |
| overridevirtual

Get the last error text from the query.

Implements vtkRowQuery.

## ◆ EscapeString()

vtkStdString vtkPostgreSQLQuery::EscapeString | ( | vtkStdString | s,
|  | bool | addSurroundingQuotes = `true`
| ) |  |
| overridevirtual

Escape a string for inclusion into an SQL query.

Reimplemented from vtkSQLQuery.

## ◆ GetNumberOfRows()

int vtkPostgreSQLQuery::GetNumberOfRows | ( |  | ) |

Unlike some databases, Postgres can tell you right away how many rows are in the results of your query.

## ◆ SetLastErrorText()

virtual void vtkPostgreSQLQuery::SetLastErrorText | ( | const char * |  | ) |
| protectedvirtual

## ◆ IsColumnBinary()

bool vtkPostgreSQLQuery::IsColumnBinary | ( | int | whichColumn | ) |
| protected

## ◆ GetColumnRawData()

const char* vtkPostgreSQLQuery::GetColumnRawData | ( | int | whichColumn | ) |
| protected

## ◆ DeleteQueryResults()

void vtkPostgreSQLQuery::DeleteQueryResults | ( |  | ) |
| protected

## Friends And Related Function Documentation

## ◆ vtkPostgreSQLDatabase

friend class vtkPostgreSQLDatabase
| friend

Definition at line 136 of file vtkPostgreSQLQuery.h.

## Member Data Documentation

## ◆ TransactionInProgress

bool vtkPostgreSQLQuery::TransactionInProgress
| protected

Definition at line 128 of file vtkPostgreSQLQuery.h.

## ◆ LastErrorText

char* vtkPostgreSQLQuery::LastErrorText
| protected

Definition at line 129 of file vtkPostgreSQLQuery.h.

## ◆ CurrentRow

int vtkPostgreSQLQuery::CurrentRow
| protected

Definition at line 130 of file vtkPostgreSQLQuery.h.

## ◆ QueryInternals

vtkPostgreSQLQueryPrivate* vtkPostgreSQLQuery::QueryInternals
| protected

Definition at line 132 of file vtkPostgreSQLQuery.h.

The documentation for this class was generated from the following file:

- IO/PostgreSQL/vtkPostgreSQLQuery.h